### Method

# GtkSource Buffer get_style_scheme

#### Declaration [src]

    GtkSourceStyleScheme*
    gtk_source_buffer_get_style_scheme (
      GtkSourceBuffer* buffer
    )

#### Description [src]

Returns the `GtkSourceStyleScheme` associated with the buffer, see `gtk_source_buffer_set_style_scheme()`.

The returned object should not be unreferenced by the user.

Gets property | `GtkSource.Buffer:style-scheme`

#### Return value

Type: `GtkSourceStyleScheme`

The `GtkSourceStyleScheme` associated with the buffer, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.